Page MenuHome

Blender Crash -on Launch- / accessing System tab / Cycles Render mode
Closed, ResolvedPublic

Description

System Information
Windows 10
NVidia Geforce 10 GTX 1050
Intel i7-7700HQ

Blender Version
Broken: 2.79b
Worked: 2.79b from the Blender Builder

Last I used Blender a couple weeks/months back and it worked, now when launching blender it immediately crashes. Sometimes it takes a second to crash, but there's never any UI. I can't think of a reason other than Windows updates or some driver, but would that not crash the Blender Builder version (which works)?

Update and Summary:
After moving out igdrclneo64.dll and igdrcl64.dll from the system32 folder the instant crashes stopped, same effect as using blender in compatibility mode. Only if I move nvopencl.dll and nvcuda.dll out of system32 can i use 3d programs. That disables all CUDA functions though. The error message I got was can't access nvcuda.dll and nvopencl.dll

Final Update and Summary
The root of the issue is some Error with Windows, likely to be introduced by a software update. It causes all Graphics Drivers to not function correctly - CUDA and OpenCL become unavailable as well.
The only way I was able to solve it was to reinstall Windows.

Exact steps for others to reproduce the error
I can't give exact steps to recreate it.

Things I tried:
-sampled some older Nvidia Drivers
-Used Intel Integrated Graphics to launch. (didn't work)
-Updating all my drivers.
-Using some sort of blender.bat file from another forum. I didn't know how to do the step of linking .blend.bat files though.
-Using the blender builder version, which worked - the installed version still doesn't. What does this mean? (Update: it means blender builder doesn't use CUDA)

Details

Type
Bug

Event Timeline

tin truong (a0s) added a comment.EditedOct 17 2018, 2:48 AM

I managed to fix the problem by opening it in compatibility mode of windows 8.
I hope for the next build of blender it will be compatible with windows 10 then!

Update: Actually it opens and everything, but when i do anything in the user preferences it eventually crashes. Usually when I try to access the system tab

Update2: Sniffing around the net I found it apparently has to do with the new igdrclneo64.dll and igdrcl64.dll in the newest Windows version.

Update3: It did fix the problem of the instant crash, so i don't need to use compatibility mode, but switching to cycles still crashes the program, and trying to access the system tab in the user preferences. Some other sort of thing has to be causing this.

Is there some sort of user variable that I can add to my envvar that magically fixes this???

Final thoughts: While the System Tab thing and Cycles problem is not solved, something about OpenCL and CUDA and that stuff must have gotten messed up in the recent times. I saw a decent amount of recent threads about the similar issues.

Philipp Oeser (lichtwerk) triaged this task as Needs Information from User priority.

Have you tried uninstalling, then installing again?

reg. envvars: quoting from T57243:

the only thing that fixed it was setting CYCLES_OPENCL_TEST environment variable to NONE before running blender.

Does this help?

Marking as incomplete until these are tried...

tin truong (a0s) renamed this task from Blender Crashes on startup to Blender Crash -on Launch- / accessing System tab / Cycles Render mode.Oct 17 2018, 3:13 PM
tin truong (a0s) added a comment.EditedOct 17 2018, 3:17 PM

I don't know if I did it right, I just added the variable to the list, because it didn't exist before

I'm not sure if I did it wrong or if I needed something else, but it didn't work sadly.

Edit: I reinstalled blender of course, it was the first thing to do.

@Philipp Oeser (lichtwerk), I would really not suggest users to set that environment variable immediately.

Usually this kind of crash comes from a corrupted CUDA or OpenCL installation, and any software using them will crash as well. This can normally be solved by removing the drivers, downloading the latest ones from the NVIDIA website, and performing a clean installation.

There also this tool if you want to make sure the driver install is really clean:
https://www.guru3d.com/files-details/display-driver-uninstaller-download.html

Hm, last idea for now (regarding userprefs crash):
Have you tried deleting the UserPrefs [found here]?
Or started with the --factory-startup option?

I have tried deleteing the user prefs file yes.

@Brecht Van Lommel (brecht)
So I I deinstall the Graphics Driver? I will need to use GPU uninstaller right? Or are there drivers specifically of OpenCL and CUDA?

@tin truong (a0s): so better remove the environment variable again (to avoid future issue)

The standard graphics drivers include OpenCL and CUDA. Usually uninstalling them through the Windows control panel works, but not always and that case it can be useful to use the driver uninstaller I linked. Note also that you may need to uninstall multiple drivers from Intel / NVIDIA / AMD, since any of them may be corrupted.

The igdrclneo64 file is for Intel graphics OpenCL for example, even though you have an NVIDIA graphics card.

The other thing that can help is to go to the NVIDIA settings and configure Blender to always start up with NVIDIA graphics rather than integrated graphics.

Okay I just deinstalled the driver and tested it out. Without the GPU driver I can access the system tab just fine.

I was just downloading the latest driver when for some reason my computer just installed an Nvidia driver on its own???

When I try to do the problem tasks again now it doesn't work. Blender crashes.
I doubt deinstalling the driver again to get the actual newest one will solve anything. And even my oldest GPU driver didn't work, my factory reset driver. Maybe I'll just roll back on a windows update.

tin truong (a0s) added a comment.EditedOct 17 2018, 6:43 PM

Alright so I decided not to roll back on my Windows updates because, I honestly wouldn't know where I'd have to begin, and it's a bit scary. I am out of alternatives now it seems.

Edit: I also didn't see your comment @Brecht Van Lommel (brecht) My blender behaves this way no matter which graphics card i select to be used. the gtx 1050 has been nothing but trouble.

I'm about to uninstall all my graphics card drivers, including intel to make sure again. wish me luck

So I just came back from uninstalling and reinstalling the intel driver and nvidia driver. No luck. If I delete userpref.blend the program doesn't start up, I assume that's normal? So now I can use blender but I can't activate anything that requires GPU anymore..

Okay guys, is there a way to at least make the GPU driver invisble to blender? I can use Cycles render without my GPU driver, but once I install it I can't. I've conceded that I'll just use my cpu to render the images.

I managed to find the culprit, 2 files that came with windows updates were causing trouble

For anyone who's getting the same issues:

Remove nvopencl.dll and nvcuda.dll from C:\Windows\System32 and place them on your desktop.

Interesting, nvopencl.dll and nvcuda.dll contain the NVIDIA CUDA and OpenCL implementation.

After doing this, did it disable OpenCL and CUDA compute devices in Blender? Do there still exist nvopencl.dll and nvcuda.dll somewhere else on disk?

tin truong (a0s) updated the task description. (Show Details)EditedOct 18 2018, 6:52 PM

It disabled CUDA unfortunately. I found out by using daz 3d and it told me that it can't access them and closed the program until i moved the files.

That means that when the files are inside the folder, the 3d program for some reason can't use those files. If I remove them I can't use CUDA functions

I hastily wrote this because I thought it had solved it but it apparently hasn't

Could it be that these files were corrupted? Can I use someone elses nvopencl.dll or nvcuda.dll?
Did these files get created when I installed the Nvidia Driver or with Windows updates?

It could be that there is a problem with the files themselves, but it could also be elsewhere. Or there may be a bug in how Blender loads them, though we've verified that code many times.

These files are installed as part of the NVIDIA driver. But Windows Update also installs some version of the NVIDIA driver automatically.

We don't really understand how this problem happens, sometimes NVIDIA CUDA installations seems to get into a state where things stop working, but no developer has been able to reproduce this. For multiple users uninstalling and reinstalling the drivers has worked, I don't have any other good suggestions at the moment.

now that the bad dll's are gone, try re-installing the gpu driver (which should place fresh copies of those dlls back) and see if the problem re-appears.

Thank you anyways for your assistance. I'll install windows on another partition and try it out there to see if it's an issue caused by something that happened during usage. If that works I'll probably have to just clean install windows again (sigh)

@LazyDodo (LazyDodo) I reinstalled it and the problem reappeared.

do tools like gpu-z also crash?

I can open gpu-z and it looks like this when i select my gpu

That is with the dlls removed?

No this is with the dlls

I noticed that the cuda and opencl aren't ticked for some reason. How did I use CUDA in blender before if my card doesn't support it? I'm a bit confused

your card supports it, but the drivers are causing a stink, it looks like gpu-z is a little better at not crashing and burning when it encounters that, you could give nvidia support a try, but they'll probably tell you to go reinstall your computer.

And I'm guessing that's the only thing left for me to do. I know for sure if I clean install an older version of windows with all my old drivers blender is going to work, if i get the same problem after I update everything, that's going to probably give me a stroke. I'll report back once I did that.

First off all, thank you all for helping me now even though it has become something different than a blender problem. Before I'm reinstalling windows probably on the weekend I wanted to leave this here maybe it makes sense to someone. I tried investigating it a bit more, so I took a closer look at what Daz3d was telling me and It had a crash log for me.

DAZStudio.exe caused ACCESS_VIOLATION in module "C:\Windows\system32\nvcuda.dll" at 0033:0000000042EC59D5, cuD3D9UnmapVertexBuffer()+3372583 byte(s)

Also in the log (excerpt at the bottom) it created there's something interesting maybe addressing NVidia. I was searching for anything CUDA related.

What sticked out to me was:

 GPU 1 (GeForce GTX 1050) with CUDA compute capability -1.-1 cannot be used by iray photoreal.

and 
2018-10-18 18:40:32.656 	Clock Rate: -1 KH
2018-10-18 18:41:34.013 	Multi Processor Count: -1

I tried googling the problem with having a negative number of gpu cores, and you'd expect nothing so there was nothing turning up. I really wanted to install tensorflow as well to get a crash dump from them but it seems like I need to jump through a thousand hoops to install that.
There was only one post that was close to it, but it affects Linux and their log looks different.


Source: https://github.com/tensorflow/tensorflow/issues/3430

2018-10-18 18:40:32.609 WARNING: dzneuraymgr.cpp(307): Iray WARNING - module:category(IRAY:RENDER): 1.1 IRAY rend warn : CUDA module initialization failed with error 'CUDA driver version is insufficient for CUDA runtime version' (0x23); iray photoreal can only run in CPU mode. Please update your NVIDIA driver (www.nvidia.com).
2018-10-18 18:40:32.609 Iray INFO - module:category(IRAY:RENDER): 1.1 IRAY rend info : Using iray plugin version 4.6-beta, build 287000.7672 n, 23 May 2017, nt-x86-64-vc11.
2018-10-18 18:40:32.625 WARNING: dzneuraymgr.cpp(307): Iray WARNING - module:category(IRAY:RENDER): 1.1 IRAY rend warn : GPU 1 (GeForce GTX 1050) with CUDA compute capability -1.-1 cannot be used by iray photoreal.
2018-10-18 18:40:32.625 WARNING: dzneuraymgr.cpp(307): Iray WARNING - module:category(IRAY:RENDER): 1.1 IRAY rend warn : There is no CUDA-capable GPU available to the iray photoreal renderer.
2018-10-18 18:40:32.625 Iray INFO - module:category(BLEND:RENDER): 1.1 BLEND rend info : Plugin "blend render" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.625 Iray INFO - module:category(IRAY_CLOUD_CLIENT:NETWORK): 1.1 IRAY_C net info : Plugin "iray_cloud" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.625 Iray INFO - module:category(IRAY_CLOUD_CLIENT:NETWORK): 1.1 IRAY_C net info : Plugin "irt_cloud" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.625 Iray INFO - module:category(IRAY_CLOUD_CLIENT:NETWORK): 1.1 IRAY_C net info : Plugin "nitro_cloud" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.625 Iray INFO - module:category(IRAY_CLOUD_CLIENT:NETWORK): 1.1 IRAY_C net info : Plugin "iq_irt_cloud" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.640 WARNING: dzneuraymgr.cpp(307): Iray WARNING - module:category(IRT:RENDER): 1.1 IRT rend warn : Your NVIDIA driver API 'nvcuda' cannot be found. All GPUs will be disabled.
2018-10-18 18:40:32.640 Iray INFO - module:category(IRT:RENDER): 1.1 IRT rend info : Plugin "irt" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.640 Iray INFO - module:category(EIAXF:IO): 1.1 EIAXF io info : Plugin "axf importer" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.640 Iray INFO - module:category(ICB:IO): 1.1 ICB io info : Plugin "cb_importer" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.640 Iray INFO - module:category(IRAY_CLOUD_CLIENT:NETWORK): 1.1 IRAY_C net info : Plugin "iray_bridge_snapshot" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.640 Iray INFO - module:category(IRAY_CLOUD_SERVER:NETWORK): 1.1 IRAY_C net info : Plugin "iray_bridge_server" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.656 Iray INFO - module:category(EEMI:IO): 1.1 EEMI io info : Plugin ".mi exporter" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.656 Iray INFO - module:category(EIMI:IO): 1.1 EIMI io info : Plugin ".mi importer" (build 287000.7672, 23 May 2017) initialized
2018-10-18 18:40:32.656 NVidia Iray GPUs:
2018-10-18 18:40:32.656 GPU: 1 - GeForce GTX 1050
2018-10-18 18:40:32.656 Memory Size: 1.9 GB
2018-10-18 18:40:32.656 Clock Rate: -1 KH
2018-10-18 18:40:32.656 Multi Processor Count: -1
2018-10-18 18:40:32.656 CUDA Compute Capability: NA
2018-10-18 18:40:32.656 WARNING: dzneuraymgr.cpp(307): Iray WARNING - module:category(IRAY:RENDER): 1.0 IRAY rend warn : There is no CUDA-capable GPU available to the iray photoreal renderer.
2018-10-18 18:40:32.656 Iray INFO - module:category(IRT:RENDER): 1.0 IRT rend info : Resource assignment for host 0 has changed.

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.Nov 21 2018, 6:31 PM
tin truong (a0s) added a comment.EditedDec 25 2018, 5:02 PM

Hey what's up you guys,

I finally reinstalled windows and reinstalled the GPU drivers from the official website and everything is in working order now. I'll edit this into the original post summary.

Check out this sick fully ticked GPU-Z window
http://gpuz.techpowerup.com/18/12/25/jng.png

My hypothesis is that something messed or corrupted the path toward the CUDA, OpenCL and Intel Chipset files.

Brecht Van Lommel (brecht) claimed this task.